Bug 16043 - Use Font Awesome icon in hold confirmation dialog
Summary: Use Font Awesome icon in hold confirmation dialog
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL: /cgi-bin/koha/circ/returns.pl
Keywords:
Depends on:
Blocks: 16080
  Show dependency treegraph
 
Reported: 2016-03-10 15:30 UTC by Owen Leonard
Modified: 2016-12-05 21:27 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16043 - Use Font Awesome icon in hold confirmation dialog (1.99 KB, patch)
2016-03-10 15:37 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16043 - Use Font Awesome icon in hold confirmation dialog (2.12 KB, patch)
2016-03-15 17:20 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16043 - Use Font Awesome icon in hold confirmation dialog (2.19 KB, patch)
2016-03-16 10:38 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-03-10 15:30:58 UTC
There is one stray instance in the returns template of a button in a hold confirmation dialog which should use a Font Awesome icon instead of a background image.
Comment 1 Owen Leonard 2016-03-10 15:37:04 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2016-03-15 17:20:09 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-03-16 10:38:22 UTC
Created attachment 49210 [details] [review]
Bug 16043 - Use Font Awesome icon in hold confirmation dialog

This patch fixes another instance in the checkin template where a Font
Awesome icon should be used instead of a background image.

To test, apply the patch and locate an item which is on hold for a
patron at your logged in library.

- Check in the item.
- Confirm the hold.
- Check in the item again.
  - You should get a "Hold found (item is already waiting)" message. The
    "Print and confirm" button in this dialog should have a Font Awesome
    icon.
  - Confirm that the print button still works correctly.

Followed test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Brendan Gallagher 2016-03-23 20:56:28 UTC
Pushed to Master - should be in the May 2016 release.  Thanks!